## Def
######

first_and_last=$(less /opt/vmware/vcloud-director/logs/*request.log* | (head -n1 && tail -n1) | awk {'print $4'} | cut -d[ -f2)

# Top 10 IPs
top_ips=$(less /opt/vmware/vcloud-director/logs/*request.log* | awk '{print $1}' | sort | uniq -c | sort -rn | head -n10)

# Top 10 API calls
top_apis=$(less /opt/vmware/vcloud-director/logs/*request.log* | awk '{print $7}' | sort | uniq -c | sort -rn | head -n10)

# Client
top_client=$(less /opt/vmware/vcloud-director/logs/*request.log* | awk '{print $12}' | sort | uniq -c | sort -rn | head -n10)

## Main
#######

printf "\nThe Request logs cover the following times:\n$first_and_last\n\n"

printf "Number of Connections based on IP:\n$top_ips\n"

printf "\nTop 10 APIs:\n$top_apis\n"

printf "\nTop 10 Clients:\n$top_client\n"
