PATH=/usr/sbin:${PATH}
printf "%b" "\e[1;34mCreating Artemis Directory on Transfer\e[0m \n\n" 
if [ -d "/opt/vmware/vcloud-director/data/transfer/artemis" ] ; then
   printf "\nArtemis already exists, skipping...\n"
else
    mkdir /opt/vmware/vcloud-director/data/transfer/artemis
    ls -lth /opt/vmware/vcloud-director/data/transfer/artemis/
fi

printf "%b" "\e[1;34mCreating Scripts Directory on Transfer\e[0m \n\n"

if [ -d "/opt/vmware/vcloud-director/data/transfer/scripts" ] ; then
   printf "\nScripts already exists, proceeding to clean\n"
   rm -rf /opt/vmware/vcloud-director/data/transfer/scripts
fi
   mkdir /opt/vmware/vcloud-director/data/transfer/scripts
   cp root/service/* /opt/vmware/vcloud-director/data/transfer/scripts
   ls -lth /opt/vmware/vcloud-director/data/transfer/scripts/

printf "%b" "\e[1;34mRunning Cleanup\e[0m \n\n"
rm -rf root/
rm serviceability.tar.gz

printf "%b" "\e[1;34mCreating Shortcuts\e[0m \n\n"
cp /opt/vmware/vcloud-director/data/transfer/scripts/bash_profile.bak ~/.bash_profile
source ~/.bash_profile

cat /opt/vmware/vcloud-director/data/transfer/scripts/version.txt
